1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

New psp slim with 3.80

Discussion in 'Sony PSP - Homebrew software' started by mystamann, Jan 27, 2008.

  1. mystamann

    mystamann Member

    Joined:
    Jul 19, 2005
    Messages:
    86
    Likes Received:
    0
    Trophy Points:
    16
    I just purchased a psp for my son for xmas and did the firmware upgrade to 3.80. I have been reading for days and days and I am confused...I just obtained some cso files and i downloaded the latest dechook and 301 firmware and 380m33update. is this all i need to play the cso files? Since I already have 3.80 will it screw up the psp if I install 3.80m 33update?

    Thanks
     
  2. cee43ja1

    cee43ja1 Regular member

    Joined:
    Sep 14, 2007
    Messages:
    4,135
    Likes Received:
    1
    Trophy Points:
    46
    you cannot install m33 firmware on the psp slim by normal means. you will need to use, what we call, pandora's battery and magic memory stick to install 3.80 m33.

    go HERE for a guide on how to create them.
     
    Last edited: Jan 27, 2008
  3. mystamann

    mystamann Member

    Joined:
    Jul 19, 2005
    Messages:
    86
    Likes Received:
    0
    Trophy Points:
    16
    Ok after I do pandora batt and magic mem stick will devhook .52 work with that? If so will that be all I need?

    Thanks
     
  4. Aaron516

    Aaron516 Member

    Joined:
    Dec 24, 2007
    Messages:
    95
    Likes Received:
    0
    Trophy Points:
    16
  5. cee43ja1

    cee43ja1 Regular member

    Joined:
    Sep 14, 2007
    Messages:
    4,135
    Likes Received:
    1
    Trophy Points:
    46
    no. devhook is not needed, as custom firmware runs iso/cso games straight from the xmb menu. you will have to configure the psp so it uses the sony np9660 driver. but i'll explain that later, when you have custom firmware on your psp.
     
  6. 3rdfnlbst

    3rdfnlbst Member

    Joined:
    Jan 30, 2008
    Messages:
    23
    Likes Received:
    0
    Trophy Points:
    11
    i have a slim psp and all i did was copy the update folder from the zip file over to the psp/game directory. worked fine for me, however, i downgraded back to 3.71 m33-4 because some psx games would freeze or crash on me. Final Fantasy 7 would crash on 3.80 m33-5 at the swirl screen for the 1st battle. And Resident Evil 2 wouldn't load past the "This game contains scenes of explicit violent and gore" screen
     

Share This Page